Server requirements?

Help
2006-09-07
2013-04-16
  • Michael Mansour

    Michael Mansour - 2006-09-07

    Hi,

    I can't find anywhere (at first glance) what this software requires to run?

    I'm thinking of offering this on my website for people to play, but need to know:

    * what platforms it supports (Linux?)

    * * what apache, python, etc versions are required?

    * is the client side playable in a web browser

    * etc.

    Michael.

     
    • Kevin Conaway

      Kevin Conaway - 2006-09-07

      Hi Michael,

      First off, thanks for the interest!

      The PyScrabble server will run pretty much anywhere that Python runs.  I know that it runs on Windows, Linux and FreeBSD, but I haven't tried other platforms.  To only run the server, you should have Python 2.4 (2.3 works as well I believe, but use 2.4 if you can).  The README.txt that comes along with the source version tells you all the dependencies you need to run from the source.

      Unfortunately, the client is a standalone application, and not a web-based one.  You'll need to download and install it.

      Is there any particular reason that you want to run a server of your own instead of using the public server thats already available?

      I hope I've answered your questions.  Let me know if you need any further clarification

      Kevin

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks